Image page provides links to image resolutions greater than those supported by image scalars
Closed, ResolvedPublic

Description

http://commons.wikimedia.org/wiki/File:Iridescent_Glory_of_Nearby_Helix_Nebula.jpg

If you take a look at the above file you will see

"Size of this preview: 240 × 240 pixels. Other resolutions: 480 × 480 pixels | 600 × 600 pixels | 768 × 768 pixels | 1,024 × 1,024 pixels | 10,000 × 10,000 pixels."

The last item (10,000 × 10,000 pixels) doesn't render anything as wikimedia settings chops rescaling at 2,000 × 2,000 pixels I believe, which is fine. Therefore the presence of 10,000 × 10,000 pixels is problematic since it renders nothing (or it renders an error).


Version: unspecified
Severity: normal

bzimport set Reference to bz34041.
ToAruShiroiNeko created this task.Via LegacyJan 30 2012, 3:10 PM
hashar added a comment.Via ConduitFeb 1 2012, 1:25 PM

I though those links were supposed to produce a client side upscaling (i.e.: a 800x800 picture requested at 10000x10000) would produce code such as <img width="10000" height="10000" ...

Bawolff added a comment.Via ConduitFeb 1 2012, 3:12 PM

(In reply to comment #1)

I though those links were supposed to produce a client side upscaling (i.e.: a
800x800 picture requested at 10000x10000) would produce code such as <img
width="10000" height="10000" ...

The link is directly to the image file, not an html file containing an <img> tag.

demon added a comment.Via ConduitFeb 1 2012, 3:55 PM

Isn't this done locally on commons with some JS?

Bawolff added a comment.Via ConduitFeb 1 2012, 9:43 PM

(In reply to comment #3)

Isn't this done locally on commons with some JS?

I thought so to, but then i viewed the page in lynx and it was still there - so apparently not.

Lejonel added a comment.Via ConduitFeb 11 2012, 12:24 PM

This is easy to fix by changing default value of $wgImageLimits in DefaultSettings.php (or locally in Wikimedias local settings file).

$wgImageLimits is also the options for the user preference for image preview size on file description pages. But a 10000x10000px option is not very useful for that either, since it will not be rendered.

Lejonel added a comment.Via ConduitFeb 11 2012, 12:45 PM

(In reply to comment #5)
Actually it can be useful since it displays the full resolution of images smaller than 10000x10000.

Bawolff added a comment.Via ConduitFeb 11 2012, 8:22 PM

(In reply to comment #5)

This is easy to fix by changing default value of $wgImageLimits in
DefaultSettings.php (or locally in Wikimedias local settings file).

$wgImageLimits is also the options for the user preference for image preview
size on file description pages. But a 10000x10000px option is not very useful
for that either, since it will not be rendered.

Seems a weird choice for a default then (and it seems to go way back to r5195).

(In reply to comment #6)

(In reply to comment #5)
Actually it can be useful since it displays the full resolution of images
smaller than 10000x10000.

We should have a non-hacky way of specifying this in user preferences then.

hashar added a comment.Via ConduitApr 23 2012, 9:56 PM

The size limit was introduced in 2004 by Jens Frank with commit 7be49919836a38

https://gerrit.wikimedia.org/r/gitweb?p=mediawiki/core.git;a=commit;h=7be49919836a3871102cc1375733c35e82e11b19

I am pretty sure 10k x 10k was, as Lejonel said, meant to display images in full resolution. At that time it was rare to have image bigger than 4k by 4k, most people probably had 1024x768 screens.

tstarling added a comment.Via ConduitApr 23 2012, 10:35 PM

Removed the 10000x10000 option from $wgImageLimits in proposed change f044a3745919244c84450ba70d69473df3b84813

hashar added a comment.Via ConduitApr 24 2012, 8:32 AM

The patch removes the option from wgImageLimits which has some issues:

  • as a side effect any users having that preference set (24k of them on enwiki) will be displayed a 320x240 picture as a fallback.
  • max size will now be 1280x1024 which is not that big when you have a 24 - 27 inches monitor. That will also force a thumbnail generation for this users when they actually want the full sized picture.
  • we need a release notes since any wiki that have set $wgDefaultUserOptions['imagesize'] to 5 would need to alter it.
ToAruShiroiNeko added a comment.Via ConduitMay 7 2012, 11:39 AM

When I click images now, I ALWAYS get the maximum resolution even if I click on 240x240 resolution. Something unintended is broken.

ToAruShiroiNeko added a comment.Via ConduitMay 22 2012, 12:33 AM

The introduced bug has not been resolved. It has made the resolution links (of any kind) useless.

Aklapper added a comment.Via ConduitMay 22 2012, 9:15 AM

(In reply to comment #11)

When I click images now, I ALWAYS get the maximum resolution even if I click on
240x240 resolution.

Cannot reproduce in Firefox 12 on Fedora 16 with the link in comment 0. 240x240 displays also that size. Please provide more information how to reproduce (browser? did you try another one?) and make sure that this is not a cache etc issue in your browser.

ToAruShiroiNeko added a comment.Via ConduitJun 6 2012, 5:21 PM

Hmm... It seems like it was chrome user settings which were magnifying images by %1500. Since the original issue is resolved and the issue I thought was an issue is invalid, I am closing this as resolved.

Gilles raised the priority of this task from "Normal" to "Unbreak Now!".Via WebDec 4 2014, 10:25 AM
Gilles moved this task to Closed on the Multimedia workboard.
Gilles added a project: Multimedia.
Gilles lowered the priority of this task from "Unbreak Now!" to "Normal".Via ConduitDec 4 2014, 11:22 AM

Add Comment